Autor Tópico: Problema para instalação de programas e atualização  (Lida 416 vezes)

Offline rogersan68

  • Usuário Ubuntu
  • *
  • Mensagens: 12
    • Ver perfil
Problema para instalação de programas e atualização
« Online: 27 de Outubro de 2018, 20:53 »
Olá, boa noite;

Instalei novamente o ubuntu pois anteriormente meus filhos não gostaram e precisavam para outros fins, agora eles já tem sua propria máquina, e desta vez não vou desinstalar or causa dele sempre gostei de linux mas nunca consegui dar continuidade, vamos ver agora.
Bem estou com dificuldades de instalar programas neles seja pelo "instalador" ou por comando sempre me dá um erro, uso a versão 17.10, as vezes diz que não tenho internet, mas como podem ver estou usando ela.... ;D
vejam um exemplo de erro, isso para todos os programas que tento instalar:

smancilha@smancilha-System-Product-Name:~$ sudo add-apt-repository ppa:inkscape.dev/stable
[sudo] senha para smancilha:
 The Inkscape Stable PPA is intended to provide the current supported release of Inkscape.
 Mais informações: https://launchpad.net/~inkscape.dev/+archive/ubuntu/stable
Prima [ENTER] para continuar ou Ctrl+C para cancelar a sua adição.

gpg: keybox '/tmp/tmpf9i4jd16/pubring.gpg' created
gpg: /tmp/tmpf9i4jd16/trustdb.gpg: banco de dados de confiabilidade criado
gpg: chave 9DA4BD18B9A06DE3: chave pública "Launchpad PPA for Inkscape Developers" importada
gpg: Número total processado: 1
gpg:               importados: 1
OK
smancilha@smancilha-System-Product-Name:~$ sudo apt-get update
Atingido:1 http://br.archive.ubuntu.com/ubuntu artful InRelease
Atingido:2 http://br.archive.ubuntu.com/ubuntu artful-updates InRelease       
Atingido:3 http://br.archive.ubuntu.com/ubuntu artful-backports InRelease     
Atingido:4 http://security.ubuntu.com/ubuntu artful-security InRelease         
Atingido:5 http://ppa.launchpad.net/inkscape.dev/stable/ubuntu artful InRelease
Atingido:6 http://archive.canonical.com/ubuntu artful InRelease               
Lendo listas de pacotes... Erro!       
E: Erro de leitura - read (5: Erro de entrada/saída)
E: Erro de leitura - read (5: Erro de entrada/saída)
W: Você terá que executar apt-get update para corrigir estes problemas
E: O arquivo de cache de pacotes está corrompido
smancilha@smancilha-System-Product-Name:~$ sudo apt-get install inkscape
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
 inkscape : Depende: python:any (>= 2.7.5-5~)
            Depende: libgsl23 mas não será instalado
            Depende: libgslcblas0 mas não será instalado
            Depende: libgtkmm-2.4-1v5 (>= 1:2.24.0) mas não será instalado
            Depende: libgtkspell0 (>= 2.0.10) mas não será instalado
            Depende: libmagick++-6.q16-7 (>= 8:6.9.6.8) mas não será instalado
            Depende: libpotrace0 mas não será instalado
            Recomenda: libwmf-bin
            Recomenda: perlmagick
            Recomenda: python-lxml mas não será instalado
            Recomenda: python-numpy mas não será instalado
            Recomenda: python-scour mas não será instalado
            Recomenda: python-uniconvertor mas não será instalado
 libpam-systemd : Depende: systemd (= 234-2ubuntu12.4)
 udev : Depende: libudev1 (= 234-2ubuntu12) mas 234-2ubuntu12.4 está para ser instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
smancilha@smancilha-System-Product-Name:~$



Também não consegui fazer o upgrade para a versão mais nova acho que é a 18.10

Alguém pode me aconselhar ou ajudar

grato silvio


Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.624
    • Ver perfil
Re:Problema para instalação de programas e atualização
« Resposta #1 Online: 29 de Outubro de 2018, 17:07 »
Olá Silvio.

São dois erros que estão aparecendo aí. Um do corrompimento do apt cache. O outro erro é que esta versão do Inkscape que você quer instalar usa bilbiotecas do python mais novas que as do Ubuntu 17.10, então não vai instalar.  A não ser que você também atualize as bibliotecas do python do 17.10.  Por falar em 17.10, ele já chegou no seu fim de vida em Julho deste ano!  Não quer instalar o 18.04? Você não pode fazer o upgrade do 17.10 direto para o 18.10. Tem que ir para o 18.04 e só depois para o 18.10.  Eu não faria isso, mas se quiser, faça backup do seus dados e saiba que seus PPAs serão desativados no processo!


Vamos tentar corrigir por partes os erros do apt.

No terminal:

sudo apt-get clean
sudo  apt-get autoclean
sudo apt-get -f install
sudo dpkg --configure -a
sudo  apt-get update
sudo  apt-get dist-upgrade

Veja se com isso não retorna mais erros na atualização do17.10, quanto ao Inkscape eu já te expliquei.

No aguardo.

Ubuntu  Mate 17.10 64bits

Offline rogersan68

  • Usuário Ubuntu
  • *
  • Mensagens: 12
    • Ver perfil
Re:Problema para instalação de programas e atualização
« Resposta #2 Online: 30 de Outubro de 2018, 21:24 »
ola galactus

infelizmente não deu certo veja o erro:

smancilha@smancilha-System-Product-Name:~$ sudo apt-get clean
smancilha@smancilha-System-Product-Name:~$ sudo apt-get autoclean
Lendo listas de pacotes... Erro!
E: Erro de leitura - read (5: Erro de entrada/saída)
W: Você terá que executar apt-get update para corrigir estes problemas
E: O arquivo de cache de pacotes está corrompido
smancilha@smancilha-System-Product-Name:~$ sudo apt-get -f install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  libmotif-common libxm4
Utilize 'sudo apt autoremove' para os remover.
The following additional packages will be installed:
  libsystemd0 systemd udev
Pacotes sugeridos:
  systemd-container
Os pacotes a seguir serão atualizados:
  libsystemd0 systemd udev
3 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 325 não atualizados.
1 pacotes não totalmente instalados ou removidos.
É preciso baixar 4.082 kB de arquivos.
Depois desta operação, 6.144 B adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Obter:1 http://br.archive.ubuntu.com/ubuntu artful-updates/main amd64 systemd amd64 234-2ubuntu12.4 [2.782 kB]
Obter:2 http://br.archive.ubuntu.com/ubuntu artful-updates/main amd64 udev amd64 234-2ubuntu12.4 [1.092 kB]
Obter:3 http://br.archive.ubuntu.com/ubuntu artful-updates/main amd64 libsystemd0 amd64 234-2ubuntu12.4 [209 kB]
Baixados 4.082 kB em 0s (4.711 kB/s)
(Lendo banco de dados ... 129591 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../systemd_234-2ubuntu12.4_amd64.deb ...
A descompactar systemd (234-2ubuntu12.4) sobre (234-2ubuntu12) ...
A preparar para desempacotar .../udev_234-2ubuntu12.4_amd64.deb ...
A descompactar udev (234-2ubuntu12.4) sobre (234-2ubuntu12) ...
A preparar para desempacotar .../libsystemd0_234-2ubuntu12.4_amd64.deb ...
A descompactar libsystemd0:amd64 (234-2ubuntu12.4) sobre (234-2ubuntu12) ...
Configurando libsystemd0:amd64 (234-2ubuntu12.4) ...
A processar 'triggers' para ureadahead (0.100.0-20) ...
A processar 'triggers' para libc-bin (2.26-0ubuntu2.1) ...
Configurando udev (234-2ubuntu12.4) ...
addgroup: O grupo 'input' já existe como um grupo de sistema. Saindo.
update-initramfs: deferring update (trigger activated)
Configurando systemd (234-2ubuntu12.4) ...
addgroup: O grupo 'systemd-journal' já existe como um grupo de sistema. Saindo.
A processar 'triggers' para man-db (2.7.6.1-2) ...
A processar 'triggers' para dbus (1.10.22-1ubuntu1) ...
Configurando libpam-systemd:amd64 (234-2ubuntu12.4) ...
A processar 'triggers' para initramfs-tools (0.125ubuntu12) ...
update-initramfs: Generating /boot/initrd.img-4.13.0-16-generic
cp: não foi possível obter estado de '/etc/fonts/fonts.conf': Arquivo ou diretório não encontrado
E: /usr/share/initramfs-tools/hooks/plymouth failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-16-generic with 1.
dpkg: erro ao processar o pacote initramfs-tools (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 1
E: Sub-process /usr/bin/dpkg returned an error code (1)
smancilha@smancilha-System-Product-Name:~$




Aguardando retorno


Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.624
    • Ver perfil
Re:Problema para instalação de programas e atualização
« Resposta #3 Online: 31 de Outubro de 2018, 10:00 »
Porque não cotinuou com o restante dos comandos?

Você está com um corrompimento federal aí.   

Vamos lá novamente:

sudo apt-get clean
sudo rm -r /var/lib/apt/lists/*
sudo apt-get update
sudo apt-get -f install
sudo dpkg --configure -a
sudo apt-get update
sudo  apt-get dist-upgrade
sudo apt-get auto-remove

Favor executar todos os comandos e colar aqui a saída deles.
Ubuntu  Mate 17.10 64bits

Offline rogersan68

  • Usuário Ubuntu
  • *
  • Mensagens: 12
    • Ver perfil
Re:Problema para instalação de programas e atualização
« Resposta #4 Online: 03 de Novembro de 2018, 02:10 »
Galactus
boa madrugada  ;D

cara deu um pane geral, não sei o que aconteceu tá; o sistema parou, acho que no meio, isso qdo a tela entrou em descanso, tive que reinstalar e deu o mm erro ai rodei as instruções segue a saída:

To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

silvio@smancilha:~$ sudo apt-get clean
[sudo] senha para silvio:
silvio@smancilha:~$ sudo rm -r /var/lib/apt/lists/*
silvio@smancilha:~$ sudo apt-get update
Obter:1 http://br.archive.ubuntu.com/ubuntu artful InRelease [237 kB]
Obter:2 http://br.archive.ubuntu.com/ubuntu artful-updates InRelease [88,7 kB]
Obter:3 http://br.archive.ubuntu.com/ubuntu artful-backports InRelease [74,6 kB]
Obter:4 http://security.ubuntu.com/ubuntu artful-security InRelease [83,2 kB] 
Obter:5 http://br.archive.ubuntu.com/ubuntu artful/main i386 Packages [1.067 kB]
Obter:6 http://br.archive.ubuntu.com/ubuntu artful/main amd64 Packages [1.071 kB]
Obter:7 http://br.archive.ubuntu.com/ubuntu artful/main Translation-en [542 kB]
Obter:8 http://br.archive.ubuntu.com/ubuntu artful/main Translation-pt_BR [309 kB]
Obter:9 http://br.archive.ubuntu.com/ubuntu artful/main Translation-pt [195 kB]
Obter:10 http://br.archive.ubuntu.com/ubuntu artful/main amd64 DEP-11 Metadata [397 kB]
Obter:11 http://br.archive.ubuntu.com/ubuntu artful/main DEP-11 64x64 Icons [263 kB]
Obter:12 http://br.archive.ubuntu.com/ubuntu artful/restricted i386 Packages [8.876 B]
Obter:13 http://br.archive.ubuntu.com/ubuntu artful/restricted amd64 Packages [8.852 B]
Obter:14 http://br.archive.ubuntu.com/ubuntu artful/restricted Translation-en [2.788 B]
Obter:15 http://br.archive.ubuntu.com/ubuntu artful/restricted Translation-pt [1.188 B]
Obter:16 http://br.archive.ubuntu.com/ubuntu artful/restricted Translation-pt_BR [1.212 B]
Obter:17 http://br.archive.ubuntu.com/ubuntu artful/universe amd64 Packages [8.103 kB]
Obter:18 http://security.ubuntu.com/ubuntu artful-security/main i386 Packages [174 kB]
Obter:19 http://security.ubuntu.com/ubuntu artful-security/main amd64 Packages [176 kB]
Obter:20 http://br.archive.ubuntu.com/ubuntu artful/universe i386 Packages [8.066 kB]
Obter:21 http://security.ubuntu.com/ubuntu artful-security/main Translation-en [80,1 kB]
Obter:22 http://security.ubuntu.com/ubuntu artful-security/main amd64 DEP-11 Metadata [32,7 kB]
Obter:23 http://security.ubuntu.com/ubuntu artful-security/main DEP-11 64x64 Icons [37,0 kB]
Obter:24 http://security.ubuntu.com/ubuntu artful-security/restricted amd64 Packages [2.200 B]
Obter:25 http://security.ubuntu.com/ubuntu artful-security/restricted i386 Packages [2.188 B]
Obter:26 http://security.ubuntu.com/ubuntu artful-security/restricted Translation-en [1.284 B]
Obter:27 http://security.ubuntu.com/ubuntu artful-security/universe i386 Packages [71,4 kB]
Obter:28 http://security.ubuntu.com/ubuntu artful-security/universe amd64 Packages [72,0 kB]
Obter:29 http://security.ubuntu.com/ubuntu artful-security/universe Translation-en [42,8 kB]
Obter:30 http://security.ubuntu.com/ubuntu artful-security/universe amd64 DEP-11 Metadata [40,2 kB]
Obter:31 http://security.ubuntu.com/ubuntu artful-security/universe DEP-11 64x64 Icons [50,3 kB]
Obter:32 http://security.ubuntu.com/ubuntu artful-security/multiverse amd64 Packages [1.824 B]
Obter:33 http://security.ubuntu.com/ubuntu artful-security/multiverse i386 Packages [1.980 B]
Obter:34 http://security.ubuntu.com/ubuntu artful-security/multiverse Translation-en [1.124 B]
Obter:35 http://br.archive.ubuntu.com/ubuntu artful/universe Translation-pt [792 kB]
Obter:36 http://br.archive.ubuntu.com/ubuntu artful/universe Translation-pt_BR [992 kB]
Obter:37 http://br.archive.ubuntu.com/ubuntu artful/universe Translation-en [4.789 kB]


Offline rogersan68

  • Usuário Ubuntu
  • *
  • Mensagens: 12
    • Ver perfil
Re:Problema para instalação de programas e atualização
« Resposta #5 Online: 03 de Novembro de 2018, 02:11 »
galactus não deu pra mandar tudo sem querer desliguei o monitor
 :-[

Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.624
    • Ver perfil
Re:Problema para instalação de programas e atualização
« Resposta #6 Online: 03 de Novembro de 2018, 10:42 »
Resolveu?
Ubuntu  Mate 17.10 64bits

Offline rogersan68

  • Usuário Ubuntu
  • *
  • Mensagens: 12
    • Ver perfil
Re:Problema para instalação de programas e atualização
« Resposta #7 Online: 12 de Novembro de 2018, 11:18 »
Bom dia

Poxa Galactus resolveu sim, mas deu pau no hd  :-[ chateado mil......obrigado pela ajuda assim que eu conseguir ou hd  instalo de novo, acredito que esse era o prob lema todo...mas valeu mesmo a ajuda.

abs